%global commit0 836d7155bc35253b19367bc59bb7351484232e01
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:		tpm2-pkcs11
Version:	0
Release:	0.1.20190219git%{shortcommit0}%{?dist}
Summary:	PKCS#11 interface for TPM 2.0 hardware

License:	BSD
URL:		https://github.com/tpm2-software/tpm2-pkcs11
Source0:	https://github.com/tpm2-software/tpm2-pkcs11/archive/%{commit0}.tar.gz#/%{name}-%{version}-git%{shortcommit0}.tar.gz

BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	tpm2-tss-devel
BuildRequires:	tpm2-tools
BuildRequires:	python3
BuildRequires:	openssl-devel
BuildRequires:	autoconf-archive
BuildRequires:	sqlite-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	p11-kit-devel
# for tests
BuildRequires:	libcmocka-devel
BuildRequires:	dbus-daemon

%description
PKCS #11 is a Public-Key Cryptography Standard that defines a standard method
to access cryptographic services from tokens/ devices such as hardware security
modules (HSM), smart cards, etc. In this project we intend to use a TPM2 device
as the cryptographic token.

%prep
%setup -q -n tpm2-pkcs11-%{commit0}


%build
./bootstrap
%configure --enable-unit
make %{?_smp_mflags}


%check
make check


%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/tpm2-pkcs11.pc
[ -f $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.la ] && \
  rm $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.la

%files
%doc
%license LICENSE
%{_datadir}/p11-kit/modules/tpm2_pkcs11.module
%%dir %{_libdir}/pkcs11
%{_libdir}/pkcs11/libtpm2_pkcs11.so
%{_libdir}/pkcs11/libtpm2_pkcs11.so.0*



%changelog
* Tue Feb 19 2019 Jakub Jelen <jjelen@redhat.com> - 0-0.1.20190219git836d715
- Initial release for Fedora


